Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#1137 [Linux, 0.92] System tray is unresponsive

v1.0_(example)
closed
Rony Shapiro
None
5
2014-07-15
2013-10-24
Johan Vromans
No

The system tray icon is unresponsive. It is not possible to restore (or terminate nicely) the pwsafe application once its main window has been closed.
When you keep trying, sometimes it responds (once?).

This is Fedora 17, with Gnome2 desktop and OpenBox window manager.

Related

Bugs: #1137

Discussion

  • Rony Shapiro
    Rony Shapiro
    2013-10-26

    Could you check if the system tray responds if you click on a foreground (green) pixel but not a transparent one? I've seen this behavior, but couldn't track it down.

     
  • Johan Vromans
    Johan Vromans
    2013-10-26

    Indeed...!
    To which I must add that the appearance of the icon on the system tray is not green/transparent, but green/greyish.
    Some other icons that have real transparent parts are responsive all over.

    At least this provides a workaround :)

     
  • Saurav Ghosh
    Saurav Ghosh
    2013-11-19

    This issue, i.e. "transparent pixels are not clickable", has been there since a long time now with the systray icon. PasswordSafe uses the underlying wxWidgets library to put up that icon, and this functionality is just as broken in wxWidgets' samples. So unless the Gnome/Gtk developers fix it for good, I guess this will be broken for passwordsafe.

    There is at least one other problem with the systray icon that I'm aware of: On some distros (like my Ubuntu 12.04 desktop right now), system tray icon doesn't even appear on the top panel bar, but on the desktop instead. This same thing happens with some other apps also, e.g. TrueCrypt. And it doesn't happen everywhere: it was fixed in some Ubuntu distro between 10.10 and 12.04, and broken back in the next one. So I'm guessing this is a problem with Gnome/Gtk, and not even wxWidgets.

    The only thing worth trying might be compiling with the newly released wxWidgets 3.0, but I myself haven't even seen the changelog yet.

     
  • yshirman
    yshirman
    2013-12-30

    I just noticed this bug. I think I suffer a version of it on KDE (in Fedora). System trya icon is not completely unresponsive, but I need to position the mouse at pixels in the icon (I think somewhere near the bottom of the icon) where a hint pops up. Once the hint is visible, I can click on the icon and passwordsafe opens.

     
  • Hugh D. Hyatt
    Hugh D. Hyatt
    2014-03-12

    With Linux Mint 15 (Olivia) and Cinnamon 1.8.8, my Password Safe system tray icon appears in three different sizes: large, normal and small. The large and small versions are most common. All three are represented in images below. It's a bit of a pain accessing Password Safe from the large icon, because only the leftmost and rightmost pixels respond to mouse clicks and from the small icon, because it's so narrow.

     
    • Ashton
      Ashton
      2014-03-23

      My experience is very similar to Hugh D. Hyatt's. I am using Linux Mint Petra Cinnamon on a HP 110-210 Desktop PC, with AMD Quad-Core A4-5000 Accelerated Processor (64 bit). The description of the release I'm using, from the About window, is "PasswordSafe (linux) v0.93 (local) beta Build Date: Feb 7 2014 20:05:15"

       
  • JP Vossen
    JP Vossen
    2014-04-19

    Same using passwordsafe-ubuntu-12.04-LTS-0.92BETA.amd64.deb on Lubuntu 12.04 and Ubuntu 12.04 using the Cinnamon/Mate PPA.

     
  • yshirman
    yshirman
    2014-04-19

    Following Saurav's explanation I created a workaround for myself. I simply painted transparent pixels on the icons in light grey (color of my tray). Now tray icon is responsive. This is not a real fix -- it may not look well on other people's screens but just in case someone is interested here is the patch (it literally paints a few pixels in all files containing "tray" in their names; I think my usage only requires locked and unlocked icons, but I made changes everywhere).

     
    Attachments
  • Rony Shapiro
    Rony Shapiro
    2014-04-20

    yshirman's patch works for me, and seems the best workaround under the circumstances. Committed to master 1b1a602

     
  • Rony Shapiro
    Rony Shapiro
    2014-04-20

    • status: open --> pending
     
  • Johan Vromans
    Johan Vromans
    2014-04-20

    Works for me, thanks!

     
  • Dave Ulrick
    Dave Ulrick
    2014-04-21

    I've been seeing this problem with the binary in pwsafe-0.93.1BETA-3.x86_64.rpm. Just now I've grabbed a snapshot with 'git clone ...' and built my own binary with 'make release' on Fedora 20 x86_64. With the RPM code I could only right-click on the tray icon's colored icons but with the snapshot I can right-click anywhere on the icon.

    Looks good!

     
  • Rony Shapiro
    Rony Shapiro
    2014-07-15

    • status: pending --> closed
    • assigned_to: Rony Shapiro
     
  • Hugh D. Hyatt
    Hugh D. Hyatt
    2014-07-15

    If this bug report is closed, where can I get a version that has the fix?

     
  • Rony Shapiro
    Rony Shapiro
    2014-07-15

    Coming soon, stay tuned.

     
    • Jeff Woods
      Jeff Woods
      2014-07-15

      Ronys, a suggestion: change bug and enhancement status from pending to
      closed after the release of the version with the fix. It might also be
      useful to specify in the closed items what version(s) first contain the
      change.

      Thank you and the whole team for providing such a valuable tool.

      P.S. Do you still build a U3 version? I'm still using an old U3 stick.
      Sadly by the time I realized that U3 was going away SanDisk had already
      taken down the website with the SDK to build and convert applications for
      U3. Is it possible to acquire the tools to build U3 applications such as
      PasswordSafe?

      Thanks again.

      Jeff Woods
      On Jul 15, 2014 1:49 PM, "Rony Shapiro ronys-at-users.sf.net |SourceForge|"
      10xtk4vgct@sneakemail.com wrote:

      Coming soon, stay tuned.

      Status: closed
      Group: v1.0_(example)
      Created: Thu Oct 24, 2013 07:39 AM UTC by Johan Vromans
      Last Updated: Tue Jul 15, 2014 07:47 PM UTC
      Owner: Rony Shapiro

      The system tray icon is unresponsive. It is not possible to restore (or
      terminate nicely) the pwsafe application once its main window has been
      closed.
      When you keep trying, sometimes it responds (once?).

      This is Fedora 17, with Gnome2 desktop and OpenBox window manager.

      Sent from sourceforge.net because you indicated interest in
      https://sourceforge.net/p/passwordsafe/bugs/1137/

      To unsubscribe from further messages, please visit
      https://sourceforge.net/auth/subscriptions/

       

      Related

      Bugs: #1137

      Attachments